# Functor Core_map_intf.Check_accessors

    module Check_accessors: functor (T : T.T3) -> functor (Tree : T.T3) -> functor (Key : T.T1) -> functor (Options : T.T3) -> functor (M : Accessors_generic
         with type ('a, 'b, 'c) options := ('a, 'b, 'c) Options.t
         with type ('a, 'b, 'c) t       := ('a, 'b, 'c) T.t
         with type ('a, 'b, 'c) tree    := ('a, 'b, 'c) Tree.t
         with type 'a key               := 'a Key.t) -> sig .. end

Consistency checks (same as in `Container`).

Parameters:

`T` | : | `T.T3`
`Tree` | : | `T.T3`
`Key` | : | `T.T1`
`Options` | : | `T.T3`
`M` | : | `Accessors_generic with type ('a, 'b, 'c) options := ('a, 'b, 'c) Options.t with type ('a, 'b, 'c) t := ('a, 'b, 'c) T.t with type ('a, 'b, 'c) tree := ('a, 'b, 'c) Tree.t with type 'a key := 'a Key.t`